/* -*-C-*- xalloc.h */
/**********************************************************************/
/****************************** xalloc ********************************/
/**********************************************************************/

/* $Id: xalloc.h,v 1.1 2006/10/31 01:58:37 beebe Exp $*/

#ifndef XALLOC_H_DEFINED_
#define XALLOC_H_DEFINED_

/***********************************************************************
This file provides definitions of the functions in xalloc.c.
***********************************************************************/

VOIDP			xcalloc ARGS((size_t nmemb_, size_t size_));
void			xfree ARGS((VOIDP p_));
VOIDP			xmalloc ARGS((size_t size_));
unsigned long		xmemused ARGS((void));
VOIDP			xrealloc ARGS((VOIDP block_, size_t size_));

#endif /* XALLOC_H_DEFINED_ */
